Package xg.protocol.messages

# Interface ProtocolPrivMessages.protocolPrivNotifyIdentityOrBuilder

All Superinterfaces:
  `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `ProtocolPrivMessages.protocolPrivNotifyIdentity`, `ProtocolPrivMessages.protocolPrivNotifyIdentity.Builder`

Enclosing class:
  ProtocolPrivMessages

public static interface ProtocolPrivMessages.protocolPrivNotifyIdentityOrBuilder extends MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`ProtocolMetadata.protocolIdentity`
`getIdentity()`
`.xg.md.protocolIdentity identity = 1;`
`ProtocolMetadata.protocolIdentityOrBuilder`
`getIdentityOrBuilder()`
`.xg.md.protocolIdentity identity = 1;`
`int`
`getNodeId()`
`uint32 node_id = 2;`
`boolean`
`hasIdentity()`
`.xg.md.protocolIdentity identity = 1;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### hasIdentity

boolean hasIdentity()
`.xg.md.protocolIdentity identity = 1;`

Returns:
  Whether the identity field is set.

### getIdentity

ProtocolMetadata.protocolIdentity getIdentity()
`.xg.md.protocolIdentity identity = 1;`

Returns:
  The identity.

### getIdentityOrBuilder

ProtocolMetadata.protocolIdentityOrBuilder getIdentityOrBuilder()
`.xg.md.protocolIdentity identity = 1;`

### getNodeId

int getNodeId()
`uint32 node_id = 2;`

Returns:
  The nodeId.